Package org.eclipse.birt.report.engine.api

# Interface IPostscriptRenderOption

All Superinterfaces:
  `IRenderOption`, `ITaskOption`

public interface IPostscriptRenderOption extends IRenderOption

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DUPLEX_FLIP_ON_LONG_EDGE`
`static final int`
`DUPLEX_FLIP_ON_SHORT_EDGE`
`static final int`
`DUPLEX_SIMPLEX`
`static final String`
`OPTION_AUTO_PAPER_SIZE_SELECTION`
`static final String`
`OPTION_COLLATE`
`static final String`
`OPTION_COLOR`
`static final String`
`OPTION_COPIES`
`static final String`
`OPTION_DUPLEX`
`static final String`
`OPTION_FIT_TO_PAPER`
`static final String`
`OPTION_PAPER_SIZE`
`static final String`
`OPTION_PAPER_TRAY`
`static final String`
`OPTION_RESOLUTION`
`static final String`
`OPTION_SCALE`
`static final String`
`PS_LEVEL`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAutoPaperSizeSelection()`
`boolean`
`getCollate()`
`boolean`
`getColor()`
`int`
`getCopies()`
`int`
`getDuplex()`
`boolean`
`getFitToPaper()`
`String`
`getPaperSize()`
`String`
`getPaperTray()`
`int`
`getPostscriptLevel()`
Gets postscript level.
`String`
`getResolution()`
`int`
`getScale()`
`void`
`setAutoPaperSizeSelection(boolean autoPaperSizeSelection)`
Select paper size according to page size automatically.
`void`
`setCollate(boolean collate)`
`void`
`setColor(boolean color)`
`void`
`setCopies(int copies)`
`void`
`setDuplex(int duplex)`
`void`
`setFitToPaper(boolean fitToPaper)`
`void`
`setPaperSize(String paperSize)`
`void`
`setPaperTray(String paperTray)`
`void`
`setPostscriptLevel(int level)`
Sets postscript level.
`void`
`setResolution(String resolution)`
`void`
`setScale(int scale)`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### PS_LEVEL

static final String PS_LEVEL

See Also:
  - Constant Field Values

### OPTION_PAPER_SIZE

static final String OPTION_PAPER_SIZE

See Also:
  - Constant Field Values

### OPTION_PAPER_TRAY

static final String OPTION_PAPER_TRAY

See Also:
  - Constant Field Values

### OPTION_DUPLEX

static final String OPTION_DUPLEX

See Also:
  - Constant Field Values

### OPTION_COPIES

static final String OPTION_COPIES

See Also:
  - Constant Field Values

### OPTION_COLLATE

static final String OPTION_COLLATE

See Also:
  - Constant Field Values

### OPTION_RESOLUTION

static final String OPTION_RESOLUTION

See Also:
  - Constant Field Values

### OPTION_COLOR

static final String OPTION_COLOR

See Also:
  - Constant Field Values

### OPTION_SCALE

static final String OPTION_SCALE

See Also:
  - Constant Field Values

### OPTION_AUTO_PAPER_SIZE_SELECTION

static final String OPTION_AUTO_PAPER_SIZE_SELECTION

See Also:
  - Constant Field Values

### OPTION_FIT_TO_PAPER

static final String OPTION_FIT_TO_PAPER

See Also:
  - Constant Field Values

### DUPLEX_SIMPLEX

static final int DUPLEX_SIMPLEX

See Also:
  - Constant Field Values

### DUPLEX_FLIP_ON_SHORT_EDGE

static final int DUPLEX_FLIP_ON_SHORT_EDGE

See Also:
  - Constant Field Values

### DUPLEX_FLIP_ON_LONG_EDGE

static final int DUPLEX_FLIP_ON_LONG_EDGE

See Also:
  - Constant Field Values

## Method Details

### setPostscriptLevel

void setPostscriptLevel(int level)
Sets postscript level.

Parameters:
  `level` -

### getPostscriptLevel

int getPostscriptLevel()
Gets postscript level.

### setPaperSize

void setPaperSize(String paperSize)

### getPaperSize

String getPaperSize()

### setPaperTray

void setPaperTray(String paperTray)

### getPaperTray

String getPaperTray()

### setDuplex

void setDuplex(int duplex)

### getDuplex

int getDuplex()

### setCopies

void setCopies(int copies)

### getCopies

int getCopies()

### setCollate

void setCollate(boolean collate)

### getCollate

boolean getCollate()

### setResolution

void setResolution(String resolution)

### getResolution

String getResolution()

### setColor

void setColor(boolean color)

### getColor

boolean getColor()

### setScale

void setScale(int scale)

### getScale

int getScale()

### setAutoPaperSizeSelection

void setAutoPaperSizeSelection(boolean autoPaperSizeSelection)
Select paper size according to page size automatically.

Parameters:
  `autoPaperSizeSelection` -

### getAutoPaperSizeSelection

boolean getAutoPaperSizeSelection()

### setFitToPaper

void setFitToPaper(boolean fitToPaper)

### getFitToPaper

boolean getFitToPaper()